*{
    margin:0;
    padding: 0;
}
body{
    height:100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color:rgb(178, 178, 209);
}
.container{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: orangered;
    border-radius: 50px;
    overflow: hidden;
    padding: 10px;
    position: relative;
}
ul{
    display: flex;
    justify-content: space-around;
    align-items: center;
    overflow: hidden;
    width: 0;
    list-style-type: none;
    transition: 0.75s ease;
}
li{
    color:white;
}

input{
    width: 50px;
    height: 50px;
    opacity: 0;
    cursor: pointer;
    z-index: 999;
}
input:checked ~ ul{
    width: 350px;
}
span{
    width: 30px;
    height: 5px;
    background-color: white;
    border-radius: 2px;
    position: absolute;
    left:20px;
    /* pointer-events: none; */
    transition: 0.75s ease;
}
span:nth-child(2){
    top:25px;
}
span:nth-child(3){
    top:40px;
}
input:checked + span{
    top:30px;
    left:20px;
    transform: rotate(45deg);
    background-color: yellowgreen;
}
input:checked ~ span:nth-child(3){
    top:30px;
    left:20px;
    transform: rotate(-45deg);
    background-color: yellowgreen;
}






